import { timeInterval as e } from "./interval.js";
import { durationDay as t, durationMinute as n } from "./duration.js";
//#region ../../node_modules/d3-time/src/day.js
var r = e((e) => e.setHours(0, 0, 0, 0), (e, t) => e.setDate(e.getDate() + t), (e, r) => (r - e - (r.getTimezoneOffset() - e.getTimezoneOffset()) * n) / t, (e) => e.getDate() - 1);
r.range;
var i = e((e) => {
	e.setUTCHours(0, 0, 0, 0);
}, (e, t) => {
	e.setUTCDate(e.getUTCDate() + t);
}, (e, n) => (n - e) / t, (e) => e.getUTCDate() - 1);
i.range;
var a = e((e) => {
	e.setUTCHours(0, 0, 0, 0);
}, (e, t) => {
	e.setUTCDate(e.getUTCDate() + t);
}, (e, n) => (n - e) / t, (e) => Math.floor(e / t));
a.range;
//#endregion
export { r as timeDay, a as unixDay, i as utcDay };
